<template>
  <span style="font-weight: bold">
    {{ formatTutorAndCourse(review) }}
    {{ review.eduStart }} - {{ review.eduEnd }}
  </span>
  <br />
  {{ review.nickname }}:
  <br />
  Оценка: {{ review.score }} / 10
  <br />
  {{ review.text }}
  <br />
  <br />
  {{ formatDate(review.reviewDate) }}
</template>

<script>
import moment from "moment";

export default {
  name: "Review",
  props: ["review"],
  methods: {
    formatTutorAndCourse(review) {
      let arr = [];
      if (review.tutor) arr.push(this.formatTutor(review.tutor));
      if (review.course) arr.push(review.course.courseName);
      return arr.join(",");
    },
    formatTutor(tutor) {
      return (
        tutor.lastName +
        " " +
        tutor.firstName.charAt(0) +
        ". " +
        tutor.patronymic.charAt(0) +
        "."
      );
    },
    formatDate(date) {
      return moment(String(date)).format("MM/DD/YYYY");
    },
  },
};
</script>

<style scoped></style>
